Bug 2252701 - R-fontawesome file conflict blocking upgrade to Fedora 39
Summary: R-fontawesome file conflict blocking upgrade to Fedora 39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: R-fontawesome
Version: 39
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact:
URL: https://discussion.fedoraproject.org/...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-12-04 06:02 UTC by thedatum+bz
Modified: 2023-12-14 01:30 UTC (History)
2 users (show)

Fixed In Version: R-fontawesome-0.5.1-3.fc39
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-14 01:30:54 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description thedatum+bz 2023-12-04 06:02:39 UTC
The R-fontawesome package is trying to replace a directory with a symlink, which is a RPM limitation: 
https://src.fedoraproject.org/rpms/R-fontawesome/c/d135da2404b34bc2fe38debf594f725cdd7a1e98?branch=f39
https://docs.fedoraproject.org/en-US/packaging-guidelines/Directory_Replacement/

Attempting to upgrade to Fedora 39 with `sudo dnf system-upgrade download --releasever=39` results in an error:

```
Error: Transaction test error:
file /usr/share/R/library/fontawesome/fontawesome from install of R-fontawesome-0.5.1-2.fc39.noarch conflicts with file from package R-fontawesome-0.5.1-1.fc38.noarch
```

Reproducible: Always

Steps to Reproduce:
1.sudo dnf system-upgrade download --releasever=39

Actual Results:  
Error: Transaction test error:
file /usr/share/R/library/fontawesome/fontawesome from install of R-fontawesome-0.5.1-2.fc39.noarch conflicts with file from package R-fontawesome-0.5.1-1.fc38.noarch

Expected Results:  
Upgrade successfully

Comment 1 Fedora Update System 2023-12-05 10:55:09 UTC
FEDORA-2023-adc93f50d4 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-adc93f50d4

Comment 2 Fedora Update System 2023-12-06 01:43:37 UTC
FEDORA-2023-adc93f50d4 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-adc93f50d4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-adc93f50d4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2023-12-14 01:30:54 UTC
FEDORA-2023-adc93f50d4 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.